<bugID>347930<Summary>Tab strip should be a toolbar instead</Summary><Description>From bug 347844 comment 7:

"The tab strip should become the 'Tab Toolbar' and be toggleable on and off, and customizable, in the same way other toolbars are.  Currently it would have a large flexible 'Tabs' section, and an 'All Tabs' button at the end.  Maybe 'New Tab', 'Close Tab', etc. buttons qould be other choices in the menu o' buttons of what could go here."

This allows a lot of things:
(1) Addition of a 1.0/1.5-style "close tab" button without a pref
(2) Placement of the New Tab button (or an "undo close tab" button) on the tab strip itself
(3) Removal of the All Tabs menu
(4) Permanent hiding of the tab strip
...all without touching preferences, in a way that very much matches user expectations from the other toolbars.  We can still style the tab strip the same way, and we can still auto-hide it (under a pref) the same way.</Description></bugID>